/*

passlogd - passive syslog capture daemon
copyright (c) 2003 - christian void <cvoid@morphine.com>

file: passlog.h

history:

02apr03 cvoid: updated version to 0.1e.
05jun01 cvoid: miscellaneous stuff added.
03jun01 cvoid: created.

*/

/* includes */
#include <syslog.h>
#include <pcap.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <signal.h>

#ifndef INC_PARSE
 #include "parse.h"
 #define INC_PARSE
#endif

#ifndef INC_UTIL
 #include "util.h"
 #define INC_UTIL
#endif

#ifndef INC_SIG
 #include "sig.h"
 #define INC_SIG
#endif

/* version */
#define VERSION "v0.1e"

/* constants */
#define FILTER "udp dst port %d"
#define FILTERNOT "udp dst port %d and not src %s"
#define MAXPATH 1024    /* max length of path */
#define SNAPLEN	3000	/* max bytes to capture */
#define TIMEOUT	1000	/* read timeout in ms */
#define	BUFSIZE	8192	/* max bytes */
#define	SMALBUF	256
#define	TOKENS	128
#define	EASIZE	30
#define MIBLEN	4	/* for sysctl() */
#define	FPORT	1
#define	LPORT	65535


